<!DOCTYPE html>
<html>
<head>
  <title>Chart.js Example</title>
  <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
</head>
<body>
  <canvas id="myChart"></canvas>
  <script>
    fetch('/data')
      .then(response => response.json())
      .then(data => {
        const labels = data.map(obj => obj.label);
        const values = data.map(obj => obj.value);
        const chartData = {
          labels: labels,
          datasets: [{
            label: 'My Chart',
            data: values,
            backgroundColor: 'rgba(255, 99, 132, 0.2)',
            borderColor: 'rgba(255, 99, 132, 1)',
            borderWidth: 1
          }]
        };
        const chartOptions = {
          scales: {
            y: {
              beginAtZero: true
            }
          }
        };
        const myChart = new Chart(document.getElementById('myChart'), {
          type: 'bar',
          data: chartData,
          options: chartOptions
        });
      });
  </script>
</body>
</html>
